Get subscription
curl --request GET \
--url https://api.example.com/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-environment: <x-environment>'import requests
url = "https://api.example.com/subscriptions/{subscriptionId}"
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"currency": "USD",
"term": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"autoRenewal": true,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billAt": "2023-11-07T05:31:56Z",
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"quantity": 123,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"price": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Subscriptions
Get subscription
GET
/
subscriptions
/
{subscriptionId}
Get subscription
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Id of subscription.
Response
OK
Id of subscription.
A unique handle of the subscription.
Currency of the subscription.
Example:
"USD"
Show child attributes
Show child attributes
For termed subscription, auto renewal is optional and will automatically renew the subscription.
Items of the subscription.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

